Skip to content

Adds a new product asset to the system. The addProduct must include a unique product code, and the combination of product code and version must be unique.

POST
/api/v1/provision/admin/assets/products
curl --request POST \
--url https://api.monetizeit.example/api/v1/provision/admin/assets/products \
--header 'Content-Type: application/json-patch+json' \
--data '{ "productCode": "example", "productVersion": "example", "name": "example", "description": "example", "externalId": "example" }'
  • oidc
    email profile roles

The details of the product to be added, including product code, version, and other relevant metadata.

object
productCode
string
productVersion
string
name
string
description
string
externalId
string
Example generated
{
"productCode": "example",
"productVersion": "example",
"name": "example",
"description": "example",
"externalId": "example"
}

OK

Media type application/json
object
id
string format: uuid
status
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7
providerId
string format: uuid
name
string
description
string
productCode
string
productVersion
string
expirationDate
string format: date-time
externalId
string
features
Array<object>
object
id
string format: uuid
featureCode
string
featurePath
string
moduleName
string
name
string
description
string
value
string
version
string
isEnabled
boolean
isAvailableDuringTrialPeriod
boolean
isAvailableDuringGracePeriod
boolean
canModifyValueOnEntitlement
boolean
isDeleted
boolean
creationTimeStamp
string format: date-time
lastUpdateTimeStamp
string format: date-time
revisionNumber
integer format: int32
monitoredAssets
Array<object>
object
id
string format: uuid
entitlementId
string format: uuid
productId
string format: uuid
metricName
string
name
string
description
string
unit
string
category
string
numberFormat
string
metricType
integer format: int32
Allowed values: 0 1 2
meteredUsageId
string format: uuid
meteredUsage
object
id
string format: uuid
suspendUntilTimeStamp
string format: date-time
lastReportedOverageSeverityStatus
integer format: int32
Allowed values: 0 1 2 3 4
usageTiers
Array<object>
object
startUsage
number format: double
endUsage
number format: double
baseCredits
number format: double
creditsPerUnitOfConsumption
number format: double
name
string
quotaUsageLevel
integer format: int32
Allowed values: 0 1 2 3 4
quotaUsagePolicy
integer format: int32
Allowed values: 0 1 2 3
consumptionPeriod
string
accumulationMethod
integer format: int32
Allowed values: 0 1
balanceUsageId
string format: uuid
balanceUsage
object
id
string format: uuid
name
string
description
string
creditsUsed
number format: double
totalCredits
number format: double
cumulativeCreditsUsed
number format: double
unit
string
numberFormat
string
lastDeposit
string format: date-time
usageQuota
Array<object>
object
endUsage
number format: double
name
string
quotaUsageLevel
integer format: int32
Allowed values: 0 1 2 3
suspendUntilTimeStamp
string format: date-time
overageSeverityStatus
integer format: int32
Allowed values: 0 1 2 3
initialCreditAmount
number format: double
isUnlimitedCredits
boolean
autoBalanceCronSchedule
string
lastAutoBalanceDate
string format: date-time
shouldAutoBalanceTransferCurrentCredits
boolean
maxAutoBalanceCreditTransferAmount
number format: double
autoBalanceCreditAmount
number format: double
allowedBackDatingTolerance
string format: date-span
productInformation
object
displayVersion
string
additionalInformation
string
revisionInformation
string
downloadUrl
string
informationUrl
string
supportUrl
string
propertyValues
object
key
additional properties
object
key
string
value
string
metadata
Array<object>
object
key
string
value
string
isDeleted
boolean
createdAt
string format: date-time
updatedAt
string format: date-time
revisionNumber
integer format: int32
isLocked
boolean
productMetaData
string
productLicenseData
string
Example
{
"status": 0,
"monitoredAssets": [
{
"metricType": 0,
"meteredUsage": {
"lastReportedOverageSeverityStatus": 0,
"usageTiers": [
{
"quotaUsageLevel": 0,
"quotaUsagePolicy": 0
}
],
"accumulationMethod": 0
},
"balanceUsage": {
"usageQuota": [
{
"quotaUsageLevel": 0
}
],
"overageSeverityStatus": 0
}
}
]
}